libetonyek::IWORKLineEndElement Class Reference documentation

libetonyek::IWORKLineEndElement Class Reference

`#include <IWORKLineEndElement.h>`

Inheritance diagram for libetonyek::IWORKLineEndElement:

## Public Member Functions
| IWORKLineEndElement (IWORKXMLParserState &state, boost::optional< IWORKMarker > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.

## Private Attributes
boost::optional< IWORKMarker > & | m_value
boost::optional< ID_t > | m_id

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKLineEndElement()

libetonyek::IWORKLineEndElement::IWORKLineEndElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKMarker > & | value )
| explicit

Referenced by IWORKLineEndElement().

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKLineEndElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprivatevirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKLineEndElement::element | ( | int | name | ) |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKLineEndElement::m_id
| private

Referenced by attribute(), and IWORKLineEndElement().

## ◆ m_value

boost::optional<IWORKMarker>& libetonyek::IWORKLineEndElement::m_value
| private

Referenced by attribute(), element(), and IWORKLineEndElement().

The documentation for this class was generated from the following files:

- IWORKLineEndElement.h
- IWORKLineEndElement.cpp